interface JwtDecodeOptions {
    header?: boolean;
}
interface JwtHeader {
    typ?: string;
    alg?: string;
    kid?: string;
}
interface JwtPayload {
    iss?: string;
    sub?: string;
    aud?: string[] | string;
    exp?: number;
    nbf?: number;
    iat?: number;
    jti?: string;
}
declare class InvalidTokenError extends Error {
    constructor(message: string);
}
declare function jwtDecode<T = JwtHeader>(token: string, options: JwtDecodeOptions & {
    header: true;
}): T;
declare function jwtDecode<T = JwtPayload>(token: string, options?: JwtDecodeOptions): T;

export { InvalidTokenError, JwtDecodeOptions, JwtHeader, JwtPayload, jwtDecode };
